Package Details: ccs-tools 1.8.3.20140601-1

Git Clone URL: https://aur.archlinux.org/ccs-tools.git (read-only)
Package Base: ccs-tools
Description: TOMOYO Linux 1.8.x userspace tools
Upstream URL: http://tomoyo.sourceforge.jp/
Licenses: GPL
Conflicts: tomoyo-tools
Submitter: None
Maintainer: None
Last Packager: jorge_barroso
Votes: 8
Popularity: 0.000000
First Submitted: 2010-11-03 22:42
Last Updated: 2015-06-15 19:24

Dependencies (1)

Required by (1)

Sources (3)

Latest Comments

Jristz commented on 2013-05-03 22:57

I read on the wikia that ccs-tools
(this) is needed for make Akari work, this is really true??

jorge_barroso commented on 2013-02-28 11:42

sorry pal, great error by myself :S corrected, it works now

roukoswarf commented on 2013-02-28 09:40

rc.d install lines are still listed in PKGBUILD, yet files are not present, this causes a cannot stat error, need to remove:

install -m755 -d "${pkgdir}/etc/rc.d"
install -m755 "${srcdir}/ccs-auditd.rc.d" "${pkgdir}/etc/rc.d/ccs-auditd"

random endif in Include.make generated by:

sed -i -e '/CFLAGS/d' Include.make
echo 'CFLAGS := ${CFLAGS}' >> Include.make

not parsing correctly. Please update with these lines removed, the cflags lines are not even required, makepkg will inject them properly without them.

roukoswarf commented on 2013-02-28 09:03

rc.d install lines are still listed in PKGBUILD, yet files are not present, this causes a cannot stat error, need to remove:

install -m755 -d "${pkgdir}/etc/rc.d"
install -m755 "${srcdir}/ccs-auditd.rc.d" "${pkgdir}/etc/rc.d/ccs-auditd"

random endif in Include.make generated by:

sed -i -e '/CFLAGS/d' Include.make
echo 'CFLAGS := ${CFLAGS}' >> Include.make

not parsing correctly. Please update with these lines removed, and the cflags line parsing correctly.

Jristz commented on 2012-05-26 07:34

Version 1.8.3p2 2012/03/01 Bug fix release.

/usr/sbin/ccs-editpolicy
Print number of selected entries if any.

Anonymous comment on 2012-02-22 18:44

I'm dropping TOMOYO 1.x tools package in AUR due to:

1) good support of TOMOYO 2.x in the mainline kernel
2) lack of interest in 1.x branch from Arch Linux users
3) myself having switched to Fedora a year ago
4) inability to provide timely updates

Apologies for any inconvenience.

Anonymous comment on 2011-06-20 22:10

If you use systemd, put CCS_trigger=/bin/systemd on your kernel boot options.

Anonymous comment on 2010-11-11 11:51

1.8.0 is out: http://sourceforge.jp/projects/tomoyo/lists/archive/users-en/2010-November/000232.html